package hibernate;

import java.util.HashSet;
import java.util.Set;

public class Ospedale {
	
	private int ospId;
	private int codice;
	private String nome;
	private String citta;
	private String indirizzo;
	
	private Set<TipoAccertamento> tipiAccertamento = new HashSet<TipoAccertamento>(0);

	public int getOspId() {
		return ospId;
	}

	public void setOspId(int id) {
		this.ospId = id;
	}

	public int getCodice() {
		return codice;
	}

	public void setCodice(int codice) {
		this.codice = codice;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getCitta() {
		return citta;
	}

	public void setCitta(String citta) {
		this.citta = citta;
	}

	public String getIndirizzo() {
		return indirizzo;
	}

	public void setIndirizzo(String indirizzo) {
		this.indirizzo = indirizzo;
	}

	public Set<TipoAccertamento> getTipiAccertamento() {
		return tipiAccertamento;
	}

	public void setTipiAccertamento(Set<TipoAccertamento> tipoAcc) {
		this.tipiAccertamento = tipoAcc;
	}

	public Ospedale() {
		
	}

	@Override
	public String toString() {
		return "Ospedale [id=" + ospId + ", codice=" + codice + ", nome=" + nome
				+ ", città=" + citta + ", indirizzo=" + indirizzo
				+ ", tipi accertamento=" + tipiAccertamento + "]";
	}
	
	
	

}
